Index: doc/latex/classBM__inherit__graph.eps
===================================================================
--- doc/latex/classBM__inherit__graph.eps (revision 224)
+++ doc/latex/classBM__inherit__graph.eps (revision 234)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 724 437
+%%PageBoundingBox: 36 36 730 437
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 688 401 boxprim clip newpath
+36 36 694 401 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -490,5 +490,5 @@
 closepath stroke
 grestore
-% Node19
+% Node21
 gsave
 [ /Rect [ 258 55 366 75 ]
@@ -515,5 +515,5 @@
 266 61.5 moveto 92 (Kalman< fsqmat >) alignedtext
 grestore
-% Node1->Node19
+% Node1->Node21
 gsave
 1 setlinewidth
@@ -537,5 +537,5 @@
 closepath stroke
 grestore
-% Node21
+% Node23
 gsave
 [ /Rect [ 104 0 132 20 ]
@@ -562,5 +562,5 @@
 112.5 6.5 moveto 11 (PF) alignedtext
 grestore
-% Node1->Node21
+% Node1->Node23
 gsave
 1 setlinewidth
@@ -858,5 +858,5 @@
 185.5 146.5 moveto 53 (< chmat >) alignedtext
 grestore
-% Node10->Node19
+% Node10->Node21
 gsave
 1 setlinewidth
@@ -1069,5 +1069,5 @@
 % Node17
 gsave
-[ /Rect [ 613 104 671 124 ]
+[ /Rect [ 616 156 674 176 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKF__unQ.html) >>
@@ -1075,20 +1075,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 613 103 moveto
-613 124 lineto
-671 124 lineto
-671 103 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 613 103 moveto
-613 124 lineto
-671 124 lineto
-671 103 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-621 110.5 moveto 42 (EKF_unQ) alignedtext
+newpath 616 155 moveto
+616 176 lineto
+674 176 lineto
+674 155 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 616 155 moveto
+616 176 lineto
+674 176 lineto
+674 155 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+624 162.5 moveto 42 (EKF_unQ) alignedtext
 grestore
 % Node16->Node17
@@ -1097,18 +1097,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 559 99 moveto
-582 91 619 93 635 103 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 557.72 95.74 moveto
-550 103 lineto
-560.56 102.14 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 557.72 95.74 moveto
-550 103 lineto
-560.56 102.14 lineto
+newpath 575 118 moveto
+597 127 624 143 637 155 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 576.56 114.86 moveto
+566 114 lineto
+573.72 121.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 576.56 114.86 moveto
+566 114 lineto
+573.72 121.26 lineto
 closepath stroke
 grestore
@@ -1118,18 +1118,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 576 107 moveto
-588 107 601 107 613 108 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 575.6 103.52 moveto
-566 108 lineto
-576.3 110.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 575.6 103.52 moveto
-566 108 lineto
-576.3 110.49 lineto
+newpath 572 129 moveto
+588 137 608 147 623 155 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 573.44 125.8 moveto
+563 124 lineto
+570.04 131.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 573.44 125.8 moveto
+563 124 lineto
+570.04 131.92 lineto
 closepath stroke
 grestore
@@ -1139,6 +1139,73 @@
 solid
 0.667 0.776 0.439 edgecolor
+newpath 557 131 moveto
+572 142 597 155 616 163 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 558.83 127.95 moveto
+549 124 lineto
+554.22 133.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 558.83 127.95 moveto
+549 124 lineto
+554.22 133.22 lineto
+closepath stroke
+grestore
+% Node18
+gsave
+[ /Rect [ 608 106 682 126 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__cond.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 608 105 moveto
+608 126 lineto
+683 126 lineto
+683 105 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 608 105 moveto
+608 126 lineto
+683 126 lineto
+683 105 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+615.5 112.5 moveto 59 (EKFCh_cond) alignedtext
+grestore
+% Node16->Node18
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 576 108 moveto
+586 108 598 108 608 109 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 575.6 104.52 moveto
+566 109 lineto
+576.3 111.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 575.6 104.52 moveto
+566 109 lineto
+576.3 111.49 lineto
+closepath stroke
+grestore
+% Node16->Node18
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
 newpath 576 121 moveto
-588 121 601 121 613 120 curveto
+586 121 598 122 608 122 curveto
 stroke
 0.667 0.776 0.439 edgecolor
@@ -1155,93 +1222,98 @@
 closepath stroke
 grestore
-% Node16->Node17
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 558 129 moveto
-580 137 621 135 636 124 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 559.44 125.8 moveto
-549 124 lineto
-556.04 131.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 559.44 125.8 moveto
-549 124 lineto
-556.04 131.92 lineto
-closepath stroke
-grestore
-% Node18
-gsave
-[ /Rect [ 605 43 679 63 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKFCh__cond.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 605 42 moveto
-605 63 lineto
-680 63 lineto
-680 42 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 605 42 moveto
-605 63 lineto
-680 63 lineto
-680 42 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-612.5 49.5 moveto 59 (EKFCh_cond) alignedtext
-grestore
-% Node16->Node18
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 562 97 moveto
-578 86 599 72 616 63 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 559.9 94.2 moveto
+% Node19
+gsave
+[ /Rect [ 605 68 685 88 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__du__kQ.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 605 67 moveto
+605 88 lineto
+686 88 lineto
+686 67 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 605 67 moveto
+605 88 lineto
+686 88 lineto
+686 67 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+612.5 74.5 moveto 65 (EKFCh_du_kQ) alignedtext
+grestore
+% Node16->Node19
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 576 103 moveto
+589 98 603 93 616 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 574.57 99.77 moveto
+566 106 lineto
+576.58 106.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 574.57 99.77 moveto
+566 106 lineto
+576.58 106.48 lineto
+closepath stroke
+grestore
+% Node20
+gsave
+[ /Rect [ 610 30 680 50 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__unQ.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 610 29 moveto
+610 50 lineto
+681 50 lineto
+681 29 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 610 29 moveto
+610 50 lineto
+681 50 lineto
+681 29 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+617.5 36.5 moveto 55 (EKFCh_unQ) alignedtext
+grestore
+% Node16->Node20
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 561 96 moveto
+573 84 588 70 604 59 curveto
+609 56 615 53 620 50 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 558.6 93.45 moveto
 554 103 lineto
-564.1 99.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 559.9 94.2 moveto
+563.55 98.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 558.6 93.45 moveto
 554 103 lineto
-564.1 99.8 lineto
-closepath stroke
-grestore
-% Node16->Node18
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 575 101 moveto
-595 90 619 73 632 63 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 573.04 98.08 moveto
-566 106 lineto
-576.44 104.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 573.04 98.08 moveto
-566 106 lineto
-576.44 104.2 lineto
-closepath stroke
-grestore
-% Node20
+563.55 98.4 lineto
+closepath stroke
+grestore
+% Node22
 gsave
 [ /Rect [ 404 55 482 75 ]
@@ -1268,5 +1340,5 @@
 412 61.5 moveto 62 (EKF< sq_T >) alignedtext
 grestore
-% Node19->Node20
+% Node21->Node22
 gsave
 1 setlinewidth
@@ -1289,5 +1361,5 @@
 closepath stroke
 grestore
-% Node22
+% Node24
 gsave
 [ /Rect [ 270 0 354 20 ]
@@ -1314,5 +1386,5 @@
 278 6.5 moveto 68 (MPF< BM_T >) alignedtext
 grestore
-% Node21->Node22
+% Node23->Node24
 gsave
 1 setlinewidth
@@ -1342,5 +1414,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 724 437
+%%BoundingBox: 36 36 730 437
 end
 restore
